import React, { useState } from 'react';
import './styles.css';
//import {useHistory} from 'react-router-dom';
import { useNavigate } from 'react-router-dom';
import {login} from './Auth'

//takes in signup information

async function PostSignInfo(data, navigate) {

    try {
        const requestType ={
            method:"POST",
            headers:{
                'content-type':'application/json'
            },
            body:JSON.stringify(data)
        }

        const response = await fetch("http://127.0.0.1:5000/login", requestType)
        .then(res=>res.json())
        .then(
            session => {
                console.log(session.access_token);
                login(session.access_token);
                navigate('/');

        })

        let responseData;

        try {
            responseData = await response.json();
        } catch (error) {
            console.error("Error parsing JSON response:", error);
            throw new Error("Failed to parse JSON response");
        }

        // Store tokens in localStorage
        //localStorage.setItem('access_token', responseData.access_token);
        //localStorage.setItem('refresh_token', responseData.refresh_token);
    } catch (error) {
        console.error("Could not upload signup information successfully", error);
    }
}


function Login() {
    const [username, setUsername] = useState('');
    const [password, setPassword] = useState('');

    const navigate = useNavigate(); // Hook to get navigate function
    //const history=useHistory()

    const handleSubmit = async (e) => {
        e.preventDefault();

        await PostSignInfo({ username, password }, navigate);


    };

    const loginForm = (
        <div className="login-container">
            <h2>Enter Username</h2>
            <form onSubmit={handleSubmit}>
                <div className="input-group">
                    <label htmlFor="username">enter username</label>
                    <input
                        type="text"
                        id="username"
                        name="username"
                        value={username}
                        onChange={(e) => setUsername(e.target.value)}
                    />
                </div>

                <div className="input-group">
                    <label htmlFor="password">Password</label>
                    <input
                        type="password"
                        id="password"
                        name="password"
                        value={password}
                        onChange={(e) => setPassword(e.target.value)}
                        required
                    />
                </div>
                <button type="submit">Login</button>


            </form>

           

        </div>




    );

    return loginForm;
}

export default Login;